<?php

/**
 * Created by xDeveloper.
 * Site: http://www.xf-ar.com
 * Email: turkialawlqy@gmail.com
 * Date: 5/16/16,  1:08 PM
 */
class Turki_Ranks_Helper_Ranks
{
    public static function helperUserRanks($user)
    {
        if (!is_array($user) || !array_key_exists('display_style_group_id', $user))
        {
            return '';
        }

        if (empty($user['user_id']))
        {
            $user['display_style_group_id'] = XenForo_Model_User::$defaultGuestGroupId;
            $user['user_group_id'] = XenForo_Model_User::$defaultGuestGroupId;
            $user['secondary_group_ids'] = '';
        }

        $options = XenForo_Application::getOptions();
        $_userRanksField = $options->userRankField;
        $userRanksLadder = XenForo_Application::getSimpleCacheData('userRanks');
        $userRanksLadder = ($userRanksLadder) ? $userRanksLadder : array();
        if (empty($user['user_id']) || !isset($user[$_userRanksField]))
        {
            return ''; // guest user title or nothing
        }

        foreach ($userRanksLadder AS $points => $rank)
        {
            if ($user[$_userRanksField] >= $points)
            {
                $rankhtml = '';
                for ($i = 1; $i <= $rank['ranklevel']; $i++) {
                    $rankhtml .= ($rank['rank_type'] == 'image') ? '<img src="'.$rank['rank'].'" id="ranks" alt="rank" class="rank_image" />' : '<div class="ranks '.$rank['rank'].'"></div>';
                }
                return $rankhtml;
            }
        }

        return '';
    }

}